<div class=" center">
    <label class="title-info-perso">{{'signature'|translate}}</label>
    <div class="banner"></div>
    <label
        class="Veuillez-lire-attentivement-votre-contrat-et-le-signer-afin-de-finaliser-votre-demande">{{'contrat'|translate}}</label>
    <mat-card class="example-card">

        <mat-card-content>

            <body>
                <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [original-size]="false">
                </pdf-viewer>
            </body>
        </mat-card-content>
    </mat-card>

    <div style="display: flex;cursor: pointer;">
        <img class="Icon-feather-download" src="../../../../assets/img/Icon feather-download.svg">
        <label class="Techarger-le-contrat" style="cursor: pointer;"
            (click)="downloadFile()">{{'download'|translate}}</label>
    </div>

    <div style="display: flex; margin-top: 40px;margin-left: 25px;" class="check-layout">
        <label class="container" style="width: 400px;">{{'accepter'|translate}}
            <input type="checkbox" (click)="onConfirmCheck($event)">
            <span class="checkmark"></span>
        </label>
    </div>

    <div class="display-bouton" style="display: flex; margin-top: 40px;margin-left: 25px;" *ngIf="butSign">
        <button class="Rectangle-30" (click)="addDoc()"><span class="Signer">Signer</span> </button>
    </div>
</div>